package com.iamberry.wechat.core.entity.customized;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  牙刷定制--纹理头像文字位置类
 * @author w
 * @Date 2018-05-25
 */
public class CustomizedPosition  implements  Serializable{
    private static final long serialVersionUID = 986363745957494570L;
    //
    private Integer positionId;
    //位置类型 1:正面 2:右侧 3:反面 4:左侧
    private Integer positionType;
    //纹理id
    private Integer patternId;
    //纹理起始位置x轴坐标
    private Integer positionPatternX;
    //纹理起始位置y轴坐标
    private Integer positionPatternY;
    //头像起始位置x轴坐标
    private Integer positionAvatarX;
    //头像起始位置y轴坐标
    private Integer positionAvatarY;
    //文字起始位置x轴坐标
    private Integer positionTextX;
    //文字起始位置y轴坐标
    private Integer positionTextY;
    //1使用中 2未使用
    private Integer positionStatus;
    //创建时间
    private Date positionCreateTime;
    //修改时间'
    private Date positionUpdateTime;

    public Integer getPositionId(){
        return positionId;
    }

    public void setPositionId(Integer  positionId){
        this.positionId=positionId;
    }

    public Integer getPositionType(){
        return positionType;
    }

    public void setPositionType(Integer  positionType){
        this.positionType=positionType;
    }

    public Integer getPatternId(){
        return patternId;
    }

    public void setPatternId(Integer  patternId){
        this.patternId=patternId;
    }

    public Integer getPositionPatternX(){
        return positionPatternX;
    }

    public void setPositionPatternX(Integer  positionPatternX){
        this.positionPatternX=positionPatternX;
    }

    public Integer getPositionPatternY(){
        return positionPatternY;
    }

    public void setPositionPatternY(Integer  positionPatternY){
        this.positionPatternY=positionPatternY;
    }

    public Integer getPositionAvatarX(){
        return positionAvatarX;
    }

    public void setPositionAvatarX(Integer  positionAvatarX){
        this.positionAvatarX=positionAvatarX;
    }

    public Integer getPositionAvatarY(){
        return positionAvatarY;
    }

    public void setPositionAvatarY(Integer  positionAvatarY){
        this.positionAvatarY=positionAvatarY;
    }

    public Integer getPositionTextX(){
        return positionTextX;
    }

    public void setPositionTextX(Integer  positionTextX){
        this.positionTextX=positionTextX;
    }

    public Integer getPositionTextY(){
        return positionTextY;
    }

    public void setPositionTextY(Integer  positionTextY){
        this.positionTextY=positionTextY;
    }

    public Integer getPositionStatus(){
        return positionStatus;
    }

    public void setPositionStatus(Integer  positionStatus){
        this.positionStatus=positionStatus;
    }

    public Date getPositionCreateTime(){
        return positionCreateTime;
    }

    public void setPositionCreateTime(Date  positionCreateTime){
        this.positionCreateTime=positionCreateTime;
    }

    public Date getPositionUpdateTime(){
        return positionUpdateTime;
    }

    public void setPositionUpdateTime(Date  positionUpdateTime){
        this.positionUpdateTime=positionUpdateTime;
    }
}